

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer:
*/

#include <iostream>
#include <GL/glut.h>

#include "ai.h"

#include "npc.h"

using namespace std;


NPC::NPC()
{
  this->setClassID(CL_NPC, "NPC");
  hasDied = 0;

  this->loadModel("models/bolido.obj");
}

NPC::~NPC () {}


void NPC::setPosition(float x, float y, float z)
{
  xCor = x; yCor = y; zCor = z;
}

void NPC::getPosition(float* x, float* y, float* z)
{
  *x = xCor;
  *y = yCor;
  *z = zCor;
}

void NPC::setCollisionRadius(float r)
{
  collisionRadius = r;
}

float NPC::getCollisionRadius()
{
  return collisionRadius;
}



/* define the reaction, if the ship is been hit */
int NPC::hit()
{
  die();
  return 0;
}


void NPC::die()
{
  hasDied = 1;
}
